Download labels
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/training/{learnId}/y \
--header 'x-api-key: <api-key>'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/training/{learnId}/y"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/training/{learnId}/y', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Download labels
Download the labels for this learning block. This is data already processed by the signal processing blocks. Not all blocks support this function. If so, a GenericApiResponse is returned with an error message.
GET
/
api
/
{projectId}
/
training
/
{learnId}
/
y
Download labels
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
Learn Block ID, use the impulse functions to retrieve the ID
Response
200 - application/octet-stream
Numpy binary file
The response is of type file.
Was this page helpful?
⌘I